<bugID>654729<Summary>Weird highlighting when adding text to an existing address</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:6.0a1) Gecko/20110504 Firefox/6.0a1
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:6.0a1) Gecko/20110504 Firefox/6.0a1

When entering text into the location bar, the highlighting is weird, sometimes text entered is grey and sometimes not. It would be better if text stopped being highlighted when entering text.

Reproducible: Always

Steps to Reproduce:
1.go to any address (ex. google.com)
2.add some text to the address


Actual Results:  
text has many different highlights

Expected Results:  
text should change to be all one color when entered</Description></bugID>